﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _1134220CustomDDL
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        RadTextBoxControlElement textBoxControl;
        public RadForm1()
        {
            InitializeComponent();
            var textBox = radDropDownList1.DropDownListElement.EditableElement.TextBox;

            textBox.TextBoxItem.Visibility = ElementVisibility.Collapsed;
          
            textBoxControl = new RadTextBoxControlElement();
            textBoxControl.DrawBorder = false;
            textBoxControl.SelectionColor = System.Drawing.Color.Red;
            textBox.Children.Add(textBoxControl);
            textBoxControl.TextChanged += Tb_TextChanged;
            textBoxControl.KeyPress += TextBoxControl_KeyPress;
            textBox.TextChanged += RadDropDownTextBoxElement_TextChanged;

            radDropDownList1.DataSource = GetTable();
            radDropDownList1.ValueMember = "Name";
            radDropDownList1.DisplayMember = "Name";

            this.radDropDownList1.AutoCompleteMode = AutoCompleteMode.SuggestAppend;
            this.textBoxControl.AutoCompleteMode = AutoCompleteMode.Append;
            this.textBoxControl.AutoCompleteDataSource = radDropDownList1.DataSource;
            this.textBoxControl.AutoCompleteDisplayMember = "Name";
           


            radDropDownList1.SelectedIndexChanged += RadDropDownList1_SelectedIndexChanged;
            radDropDownList1.LostFocus += RadDropDownList1_LostFocus;
        }

        private void RadDropDownList1_LostFocus(object sender, EventArgs e)
        {
            var textBox = radDropDownList1.DropDownListElement.EditableElement.TextBox;
            var texboxControl = textBox.Children[4] as RadTextBoxControlElement;

            if (radDropDownList1.SelectedItem == null && texboxControl.Text != null)
            {

            }
        }

        private void RadDropDownList1_SelectedIndexChanged(object sender, Telerik.WinControls.UI.Data.PositionChangedEventArgs e)
        {
           
        }

        private void TextBoxControl_KeyPress(object sender, KeyPressEventArgs e)
        {
           radDropDownList1.DropDownListElement.AutoCompleteSuggest.AutoComplete(e);
        }

        private void RadDropDownTextBoxElement_TextChanged(object sender, EventArgs e)
        {
            textBoxControl.Text = radDropDownList1.DropDownListElement.EditableElement.TextBox.Text;
        }

        private void Tb_TextChanged(object sender, EventArgs e)
        {
            radDropDownList1.DropDownListElement.EditableElement.TextBox.Text = textBoxControl.Text;
        }
        static DataTable GetTable()
        {

            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));


            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            return table;
        }
    }
}
